Sisimai::Reason::MailboxFull(3pm)

NAME
Sisimai::Reason::MailboxFull - Bounce reason is "mailboxfull" or not.

SYNOPSIS
    use Sisimai::Reason::MailboxFull;
    print Sisimai::Reason::MailboxFull->match('400 4.2.3 Mailbox full');   # 1

DESCRIPTION
"Sisimai::Reason::MailboxFull" checks the bounce reason is "mailboxfull" or not. This class is called only "Sisimai::Reason" class.

This is the error that the recipient's mailbox is full. Sisimai will set "mailboxfull" to the reason of the email bounce if the value of "Status:" field in a bounce email is 4.2.2 or 5.2.2.

    Action: failed
    Status: 5.2.2
    Diagnostic-Code: smtp;550 5.2.2 <kijitora@example.jp>... Mailbox Full

CLASS METHODS

  "text()"
text() method returns the fixed string "mailboxfull".

    print Sisimai::Reason::MailboxFull->text;  # mailboxfull

  "match(string)"
match() method returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::MailboxFull->match('400 4.2.3 Mailbox full');   # 1

  "true(Sisimai::Fact)"
true() method returns 1 if the bounce reason is "mailboxfull". The argument must be "Sisimai::Fact" object and this method is called only from "Sisimai::Reason" class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2018,2020,2021,2024 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.